RouterGetUserMappingsProtocolTranslatorPB (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: RouterGetUserMappingsProtocolTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class RouterGetUserMappingsProtocolTranslatorPB

java.lang.Object
org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolClientSideTranslatorPB
org.apache.hadoop.hdfs.protocolPB.RouterGetUserMappingsProtocolTranslatorPB

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.ipc.ProtocolMetaInterface`, `org.apache.hadoop.tools.GetUserMappingsProtocol`

public class RouterGetUserMappingsProtocolTranslatorPB extends org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolClientSideTranslatorPB

- ## Field Summary

  ### Fields inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

  `versionID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouterGetUserMappingsProtocolTranslatorPB(org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolPB rpcProxy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getGroupsForUser(String user)`

  ### Methods inherited from class org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolClientSideTranslatorPB

  `close, isMethodSupported`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RouterGetUserMappingsProtocolTranslatorPB

    public RouterGetUserMappingsProtocolTranslatorPB(org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolPB rpcProxy)

- ## Method Details

  - ### getGroupsForUser

    public String[] getGroupsForUser(String user) throws IOException
    Specified by:
      `getGroupsForUser` in interface `org.apache.hadoop.tools.GetUserMappingsProtocol`
    Overrides:
      `getGroupsForUser` in class `org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolClientSideTranslatorPB`
    Throws:
      `IOException`